GNU bug report logs - #1140
23.0.60; RMAIL: undigestify-rmail-message weird output

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Xavier Maillard <xma@HIDDEN>; merged with #12873; dated Sat, 11 Oct 2008 00:40:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 1140 12873. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 1140-done <at> debbugs.gnu.org:


Received: (at 1140-done) by debbugs.gnu.org; 11 Jul 2011 01:54:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 21:54:15 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qg5hP-0005RA-4k
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2011 21:54:15 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1Qg5hN-0005Qy-1b
	for 1140-done <at> debbugs.gnu.org; Sun, 10 Jul 2011 21:54:13 -0400
Received: from localhost ([127.0.0.1]:44609)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Qg5hH-0008R9-KG; Sun, 10 Jul 2011 21:54:07 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 1140-done <at> debbugs.gnu.org
Subject: Re: bug#1140: 23.0.60; RMAIL: undigestify-rmail-message weird output
References: <200810110000.m9B00eRv001285@HIDDEN>
X-Spook: CESID SDI lynch ANC AMW Mahmoud Ahmadinejad Legion of
X-Ran: R.fRW4FlR/V<YMQ${lUxn3,Yn>=:*T9_gxjJ!m\i0paDrGOARU-u]9-f+hbX&a&m=tEVQ>
X-Hue: black
X-Attribution: GM
Date: Sun, 10 Jul 2011 21:54:07 -0400
In-Reply-To: <200810110000.m9B00eRv001285@HIDDEN> (Xavier
	Maillard's message of "Sat, 11 Oct 2008 02:00:40 +0200")
Message-ID: <o47h7p1t1c.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 1140-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)


This report is being closed because we cannot do anything with the
information provided. We really need a recipe to reproduce the problem,
probably including an example digest message that shows the issue
(this could be sent off list if there are privacy concerns).

If you still see this issue with 23.3, please reply and we can reopen
the report if needed.





Notification sent to Xavier Maillard <xma@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Glenn Morris <rgm@HIDDEN>:
You have taken responsibility. Full text available.
bug reassigned from package 'emacs' to 'emacs,rmail'. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.
Tags added: moreinfo Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-7.6 required=4.0 tests=AWL,BAYES_00,FOURLA,
	RCVD_IN_DNSWL_MED autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 11 Oct 2008 00:30:54 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m9B0UorC016269
	for <submit@HIDDEN>; Fri, 10 Oct 2008 17:30:51 -0700
Received: from mail.gnu.org ([199.232.76.166]:60189 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <xma@HIDDEN>)
	id 1KoSLH-00081g-E7
	for emacs-pretest-bug@HIDDEN; Fri, 10 Oct 2008 20:28:23 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <xma@HIDDEN>)
	id 1KoSNa-0003bd-Tz
	for emacs-pretest-bug@HIDDEN; Fri, 10 Oct 2008 20:30:48 -0400
Received: from master.uucpssh.org ([193.218.105.66]:40123)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <xma@HIDDEN>)
	id 1KoSNZ-0003bC-AH
	for emacs-pretest-bug@HIDDEN; Fri, 10 Oct 2008 20:30:45 -0400
Received: by master.uucpssh.org (Postfix, from userid 10)
	id 9F5EAF53D4; Sat, 11 Oct 2008 02:29:02 +0200 (CEST)
Received: from zogzog.maillard.mobi (IDENT:1000@localhost [127.0.0.1])
	by zogzog.maillard.mobi (8.14.2/8.13.8) with ESMTP id m9B00e9B001286
	for <emacs-pretest-bug@HIDDEN>; Sat, 11 Oct 2008 02:00:40 +0200
Received: (from xma@localhost)
	by zogzog.maillard.mobi (8.14.2/8.13.8/Submit) id m9B00eRv001285;
	Sat, 11 Oct 2008 02:00:40 +0200
Date: Sat, 11 Oct 2008 02:00:40 +0200
Message-Id: <200810110000.m9B00eRv001285@HIDDEN>
From: Xavier Maillard <xma@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Subject: 23.0.60; RMAIL: undigestify-rmail-message weird output
Organization: GNU's Not UNIX!
User-Agent: Rmail in GNU Emacs 23.0.60.12 on GNU/Linux
Jabber-ID: xma01@HIDDEN
Reply-to: Xavier Maillard <xma@HIDDEN>
X-uucpssh: Found to be clean
X-uucpssh-SpamCheck: not spam, SpamAssassin (not cached, score=-3.965,
	required 4.6, autolearn=not spam, ALL_TRUSTED -1.80, AWL 0.28,
	BAYES_00 -2.60, SPF_HELO_PASS -0.00, TW_GZ 0.08, TW_OG 0.08,
	UPPERCASE_25_50 0.00)
X-uucpssh-From: xma@HIDDEN
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 3)

With latest emacs (CVS), M-x undigestify-rmail-message is
producing weird output from perfectly valid mailman digest.

In fact, I have to M-x undigestify-rmail-message several times
before I can "browse" the messages.

When doing the first u-r-m,  I obtain three messages:

1. The TOC message
2. a new digest file (buggy)
3. A "footer" message

If I really want to read the different messages, I have to M-x
u-r-m on the second message. Sometimes it is even not enough and
I have to do it again.

The odd thing is that, the resulted messages are unanswerable
(pressing r lead to an error) except if I edit the (e) message to
reformat it correctly. 

I am pretty sure it was already the case with emacs 22.x if it
can help.


In GNU Emacs 23.0.60.12 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-10-10 on zogzog
configured using `configure  '--without-xft''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: en_US.UTF-8
  value of $LC_CTYPE: fr_FR.UTF-8
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: fr_FR.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: RMAIL Summary

Minor modes in effect:
  diff-auto-refine-mode: t
  rcirc-track-minor-mode: t
  eev-mode: t
  shell-dirtrack-mode: t
  jabber-activity-mode: t
  auto-insert-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  show-paren-mode: t
  global-auto-revert-mode: t
  display-time-mode: t
  recentf-mode: t
  icomplete-mode: t
  desktop-save-mode: t
  auto-image-file-mode: t
  tooltip-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
[ D ESC [ D ESC [ D ESC [ D ESC [ D ESC [ D ESC [ D 
ESC [ D ESC [ D ESC [ D ESC [ D ESC [ D ESC [ D ESC 
[ D ESC [ D ESC [ D ESC [ C C-k ESC [ B ESC [ B C-a 
C-@ ESC [ B ESC [ B C-w ESC [ A RET C t x : SPC DEL 
ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B RET M s g : 
ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC 
[ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B 
ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC 
[ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B 
ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC 
[ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B ESC [ B 
ESC [ B ESC [ B ESC [ B ESC [ B - - - RET C a t e t 
DEL g r DEL o r y E m a c s SPC I n b o x C-x C-s C-x 
o d h C-x 1 7 5 9 j SPC SPC SPC SPC SPC SPC SPC SPC 
SPC SPC SPC C-x 1 C-l ESC x u n d i DEL DEL DEL DEL 
C-g ESC x r e p o TAB TAB r TAB RET

Recent messages:
scanning todo...done
scanning recent...done
scanning random...done
Computing summary lines...done
Quit
Making completion list...
Killing buffer *Completions*
Scanning for dabbrevs...100%
dabbrev-expand: No dynamic expansion for `undige' found
Quit


	Xavier
-- 
http://www.gnu.org
http://www.april.org
http://www.lolica.org




Acknowledgement sent to Xavier Maillard <xma@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1140; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.